MagickCore: deprecate.h File Reference

# deprecate.h File Reference

`#include <stdarg.h>`
`#include "magick/blob.h"`
`#include "magick/cache-view.h"`
`#include "magick/draw.h"`
`#include "magick/constitute.h"`
`#include "magick/magick-config.h"`
`#include "magick/quantum.h"`
`#include "magick/registry.h"`
`#include "magick/semaphore.h"`

Go to the source code of this file.

## Data Structures
struct | _DoublePixelPacket
struct | _ImageAttribute
## Defines
#define | magick_attribute(x)
#define | Downscale(quantum) ScaleQuantumToChar(quantum)
#define | LABColorspace LabColorspace
#define | Intensity(color) PixelIntensityToQuantum(color)
#define | LiberateUniqueFileResource(resource) RelinquishUniqueFileResource(resource)
#define | LiberateMagickResource(resource) RelinquishMagickResource(resource)
#define | LiberateSemaphore(semaphore) RelinquishSemaphore(semaphore)
#define | QuantumDepth MAGICKCORE_QUANTUM_DEPTH
#define | RunlengthEncodedCompression RLECompression
#define | Upscale(value) ScaleCharToQuantum(value)
#define | XDownscale(value) ScaleShortToQuantum(value)
#define | XUpscale(quantum) ScaleQuantumToShort(quantum)
## Typedefs
typedef struct _DoublePixelPacket | DoublePixelPacket
typedef long long | ExtendedSignedIntegralType
typedef unsigned long long | ExtendedUnsignedIntegralType
typedef long double | ExtendedRationalType
typedef MagickBooleanType(* | MonitorHandler )(const char *, const MagickOffsetType, const MagickSizeType, ExceptionInfo *)
typedef struct _ImageAttribute | ImageAttribute
## Enumerations
enum | MagickLayerMethod { UndefinedMagickLayerMethod }
## Functions
MagickExport char * | AllocateString (const char *)
MagickExport char ** | InterpretImageAttributes (const ImageInfo *, Image *, const char *)
MagickExport char *** | PostscriptGeometry (const char *)
MagickExport char **** | TranslateText (const ImageInfo *, Image *, const char *)
MagickExport const ImageAttribute * | GetImageAttribute (const Image *, const char *)
MagickExport const ImageAttribute ** | GetImageClippingPathAttribute (Image *)
MagickExport const ImageAttribute *** | GetNextImageAttribute (const Image *)
MagickExport Image * | GetImageFromMagickRegistry (const char *, long *id, ExceptionInfo *)
MagickExport Image ** | GetImageList (const Image *, const long, ExceptionInfo *)
MagickExport Image *** | GetNextImage (const Image *)
MagickExport Image **** | GetPreviousImage (const Image *)
MagickExport Image ***** | FlattenImages (Image *, ExceptionInfo *)
MagickExport Image ****** | MosaicImages (Image *, ExceptionInfo *)
MagickExport Image ******* | PopImageList (Image **)
MagickExport Image ******** | ShiftImageList (Image **)
MagickExport Image ********* | SpliceImageList (Image *, const long, const unsigned long, const Image *, ExceptionInfo *)
MagickExport IndexPacket | ValidateColormapIndex (Image *, const unsigned long)
MagickExport int | GetImageGeometry (Image *, const char *, const unsigned int, RectangleInfo *)
MagickExport int | ParseImageGeometry (const char *, long *, long *, unsigned long *, unsigned long *)
MagickExport long | GetImageListIndex (const Image *)
MagickExport long | SetMagickRegistry (const RegistryType, const void *, const size_t, ExceptionInfo *)
MagickExport MagickBooleanType | ClipPathImage (Image *, const char *, const MagickBooleanType)
MagickExport MagickBooleanType | CloneImageAttributes (Image *, const Image *)
MagickExport MagickBooleanType | ColorFloodfillImage (Image *, const DrawInfo *, const PixelPacket, const long, const long, const PaintMethod)
MagickExport MagickBooleanType | DeleteImageAttribute (Image *, const char *)
MagickExport MagickBooleanType | DeleteMagickRegistry (const long)
MagickExport MagickBooleanType | DescribeImage (Image *, FILE *, const MagickBooleanType)
MagickExport MagickBooleanType | FormatImageAttribute (Image *, const char *, const char *,...) magick_attribute((format(printf
MagickExport MagickBooleanType | FormatImageAttributeList (Image *, const char *, const char *, va_list) magick_attribute((format(printf
MagickExport MagickBooleanType | FuzzyColorCompare (const Image *, const PixelPacket *, const PixelPacket *)
MagickExport MagickBooleanType | FuzzyOpacityCompare (const Image *, const PixelPacket *, const PixelPacket *)
MagickExport MagickBooleanType | MagickMonitor (const char *, const MagickOffsetType, const MagickSizeType, void *)
MagickExport MagickBooleanType | MatteFloodfillImage (Image *, const PixelPacket, const Quantum, const long, const long, const PaintMethod)
MagickExport MagickBooleanType | OpaqueImage (Image *, const PixelPacket, const PixelPacket)
MagickExport MagickBooleanType | PaintFloodfillImage (Image *, const ChannelType, const MagickPixelPacket *, const long, const long, const DrawInfo *, const PaintMethod)
MagickExport MagickBooleanType | PaintOpaqueImage (Image *, const MagickPixelPacket *, const MagickPixelPacket *)
MagickExport MagickBooleanType | PaintOpaqueImageChannel (Image *, const ChannelType, const MagickPixelPacket *, const MagickPixelPacket *)
MagickExport MagickBooleanType | PaintTransparentImage (Image *, const MagickPixelPacket *, const Quantum)
MagickExport MagickBooleanType | PopImagePixels (Image *, const QuantumType, unsigned char *)
MagickExport MagickBooleanType | PushImagePixels (Image *, const QuantumType, const unsigned char *)
MagickExport MagickBooleanType | SetExceptionInfo (ExceptionInfo *, ExceptionType)
MagickExport MagickBooleanType | SetImageAttribute (Image *, const char *, const char *)
MagickExport MagickBooleanType | TransparentImage (Image *, const PixelPacket, const Quantum)
MagickExport MonitorHandler | GetMonitorHandler (void)
MagickExport MonitorHandler | SetMonitorHandler (MonitorHandler)
MagickExport MagickOffsetType | SizeBlob (const Image *image)
MagickExport MagickPixelPacket | InterpolatePixelColor (const Image *, CacheView *, const InterpolatePixelMethod, const double, const double, ExceptionInfo *)
MagickExport PixelPacket * | GetCacheView (CacheView *, const long, const long, const unsigned long, const unsigned long)
MagickExport unsigned int | ChannelImage (Image *, const ChannelType)
MagickExport unsigned int | ChannelThresholdImage (Image *, const char *)
MagickExport unsigned int | DispatchImage (const Image *, const long, const long, const unsigned long, const unsigned long, const char *, const StorageType, void *, ExceptionInfo *)
MagickExport unsigned int | FuzzyColorMatch (const PixelPacket *, const PixelPacket *, const double)
MagickExport unsigned int | GetNumberScenes (const Image *)
MagickExport unsigned int | GetMagickGeometry (const char *, long *, long *, unsigned long *, unsigned long *)
MagickExport unsigned int | IsSubimage (const char *, const unsigned int)
MagickExport unsigned int | PushImageList (Image **, const Image *, ExceptionInfo *)
MagickExport unsigned int | QuantizationError (Image *)
MagickExport unsigned int | RandomChannelThresholdImage (Image *, const char *, const char *, ExceptionInfo *)
MagickExport unsigned int | SetImageList (Image **, const Image *, const long, ExceptionInfo *)
MagickExport unsigned int | TransformColorspace (Image *, const ColorspaceType)
MagickExport unsigned int | ThresholdImage (Image *, const double)
MagickExport unsigned int | ThresholdImageChannel (Image *, const char *)
MagickExport unsigned int | UnshiftImageList (Image **, const Image *, ExceptionInfo *)
MagickExport unsigned long | GetImageListSize (const Image *)
MagickExport void * | AcquireMemory (const size_t)
MagickExport void ** | CloneMemory (void *, const void *, const size_t)
MagickExport void ** | DestroyImageAttributes (Image *)
MagickExport void ** | DestroyImages (Image *)
MagickExport void ** | DestroyMagick (void)
MagickExport void ** | DestroyMagickRegistry (void)
MagickExport void *** | GetConfigureBlob (const char *, char *, size_t *, ExceptionInfo *)
MagickExport void **** | GetMagickRegistry (const long, RegistryType *, size_t *, ExceptionInfo *)
MagickExport void **** | IdentityAffine (AffineMatrix *)
MagickExport void **** | LiberateMemory (void **)
MagickExport void **** | LiberateSemaphoreInfo (SemaphoreInfo **)
MagickExport void **** | FormatString (char *, const char *,...) magick_attribute((format(printf
MagickExport void | FormatStringList (char *, const char *, va_list) magick_attribute((format(printf
MagickExport void | InitializeMagick (const char *)
MagickExport void | ReacquireMemory (void **, const size_t)
MagickExport void | ResetImageAttributeIterator (const Image *)
MagickExport void | SetCacheThreshold (const unsigned long)
MagickExport void | SetImage (Image *, const Quantum)
MagickExport void | Strip (char *)
MagickExport void | TemporaryFilename (char *)

## Define Documentation

#define Downscale | ( | quantum |  | ) | ScaleQuantumToChar(quantum)

#define Intensity | ( | color |  | ) | PixelIntensityToQuantum(color)

#define LABColorspace LabColorspace

#define LiberateMagickResource | ( | resource |  | ) | RelinquishMagickResource(resource)

#define LiberateSemaphore | ( | semaphore |  | ) | RelinquishSemaphore(semaphore)

#define LiberateUniqueFileResource | ( | resource |  | ) | RelinquishUniqueFileResource(resource)

#define magick_attribute | ( | x |  | ) |

#define QuantumDepth MAGICKCORE_QUANTUM_DEPTH

#define RunlengthEncodedCompression RLECompression

#define Upscale | ( | value |  | ) | ScaleCharToQuantum(value)

#define XDownscale | ( | value |  | ) | ScaleShortToQuantum(value)

#define XUpscale | ( | quantum |  | ) | ScaleQuantumToShort(quantum)

## Typedef Documentation

typedef struct _DoublePixelPacket DoublePixelPacket

typedef long double ExtendedRationalType

typedef long long ExtendedSignedIntegralType

typedef unsigned long long ExtendedUnsignedIntegralType

typedef struct _ImageAttribute ImageAttribute

typedef MagickBooleanType(* MonitorHandler)(const char *, const MagickOffsetType, const MagickSizeType, ExceptionInfo *)

## Enumeration Type Documentation

enum MagickLayerMethod

Enumerator:

  UndefinedMagickLayerMethod |

## Function Documentation

MagickExport void* AcquireMemory | ( | const | size_t | ) |

MagickExport char* AllocateString | ( | const char * |  | ) |

MagickExport unsigned int ChannelImage | ( | Image * | ,
|  | const | ChannelType |
| ) |  |  |

MagickExport unsigned int ChannelThresholdImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType ClipPathImage | ( | Image * | ,
|  | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType CloneImageAttributes | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport void* * CloneMemory | ( | void * | ,
|  | const void * | ,
|  | const | size_t |
| ) |  |  |

MagickExport MagickBooleanType ColorFloodfillImage | ( | Image * | ,
|  | const DrawInfo * | ,
|  | const | PixelPacket,
|  | const | long,
|  | const | long,
|  | const | PaintMethod |
| ) |  |  |

MagickExport MagickBooleanType DeleteImageAttribute | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType DeleteMagickRegistry | ( | const | long | ) |

MagickExport MagickBooleanType DescribeImage | ( | Image * | ,
|  | FILE * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport void* * DestroyImageAttributes | ( | Image * |  | ) |

MagickExport void* * DestroyImages | ( | Image * |  | ) |

MagickExport void* * DestroyMagick | ( | void |  | ) |

MagickExport void* * DestroyMagickRegistry | ( | void |  | ) |

MagickExport unsigned int DispatchImage | ( | const Image * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long | ,
|  | const char * | ,
|  | const | StorageType,
|  | void * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * FlattenImages | ( | Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType FormatImageAttribute | ( | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport MagickBooleanType FormatImageAttributeList | ( | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

MagickExport void* * * * FormatString | ( | char * | ,
|  | const char * | ,
|  |  | ... |
| ) |  |  |

MagickExport void FormatStringList | ( | char * | ,
|  | const char * | ,
|  | va_list |  |
| ) |  |  |

MagickExport MagickBooleanType FuzzyColorCompare | ( | const Image * | ,
|  | const PixelPacket * | ,
|  | const PixelPacket * |  |
| ) |  |  |

MagickExport unsigned int FuzzyColorMatch | ( | const PixelPacket * | ,
|  | const PixelPacket * | ,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType FuzzyOpacityCompare | ( | const Image * | ,
|  | const PixelPacket * | ,
|  | const PixelPacket * |  |
| ) |  |  |

MagickExport PixelPacket* GetCacheView | ( | CacheView * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport void* * * GetConfigureBlob | ( | const char * | ,
|  | char * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const ImageAttribute* GetImageAttribute | ( | const Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport const ImageAttribute* * GetImageClippingPathAttribute | ( | Image * |  | ) |

MagickExport Image* GetImageFromMagickRegistry | ( | const char * | ,
|  | long * | id,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport int GetImageGeometry | ( | Image * | ,
|  | const char * | ,
|  | const unsigned int | ,
|  | RectangleInfo * |  |
| ) |  |  |

MagickExport Image* * GetImageList | ( | const Image * | ,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport long GetImageListIndex | ( | const Image * |  | ) |

MagickExport unsigned long GetImageListSize | ( | const Image * |  | ) |

MagickExport unsigned int GetMagickGeometry | ( | const char * | ,
|  | long * | ,
|  | long * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport void* * * * GetMagickRegistry | ( | const | long,
|  | RegistryType * | ,
|  | size_t * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MonitorHandler GetMonitorHandler | ( | void |  | ) |

MagickExport Image* * * GetNextImage | ( | const Image * |  | ) |

MagickExport const ImageAttribute* * * GetNextImageAttribute | ( | const Image * |  | ) |

MagickExport unsigned int GetNumberScenes | ( | const Image * |  | ) |

MagickExport Image* * * * GetPreviousImage | ( | const Image * |  | ) |

MagickExport void* * * * IdentityAffine | ( | AffineMatrix * |  | ) |

MagickExport void InitializeMagick | ( | const char * |  | ) |

MagickExport MagickPixelPacket InterpolatePixelColor | ( | const Image * | ,
|  | CacheView * | ,
|  | const | InterpolatePixelMethod,
|  | const | double,
|  | const | double,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char* * InterpretImageAttributes | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport unsigned int IsSubimage | ( | const char * | ,
|  | const unsigned int |  |
| ) |  |  |

MagickExport void* * * * LiberateMemory | ( | void ** |  | ) |

MagickExport void* * * * LiberateSemaphoreInfo | ( | SemaphoreInfo ** |  | ) |

MagickExport MagickBooleanType MagickMonitor | ( | const char * | ,
|  | const | MagickOffsetType,
|  | const | MagickSizeType,
|  | void * |  |
| ) |  |  |

MagickExport MagickBooleanType MatteFloodfillImage | ( | Image * | ,
|  | const | PixelPacket,
|  | const | Quantum,
|  | const | long,
|  | const | long,
|  | const | PaintMethod |
| ) |  |  |

MagickExport Image* * * * * * MosaicImages | ( | Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType OpaqueImage | ( | Image * | ,
|  | const | PixelPacket,
|  | const | PixelPacket |
| ) |  |  |

MagickExport MagickBooleanType PaintFloodfillImage | ( | Image * | ,
|  | const | ChannelType,
|  | const MagickPixelPacket * | ,
|  | const | long,
|  | const | long,
|  | const DrawInfo * | ,
|  | const | PaintMethod |
| ) |  |  |

MagickExport MagickBooleanType PaintOpaqueImage | ( | Image * | ,
|  | const MagickPixelPacket * | ,
|  | const MagickPixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType PaintOpaqueImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const MagickPixelPacket * | ,
|  | const MagickPixelPacket * |  |
| ) |  |  |

MagickExport MagickBooleanType PaintTransparentImage | ( | Image * | ,
|  | const MagickPixelPacket * | ,
|  | const | Quantum |
| ) |  |  |

MagickExport int ParseImageGeometry | ( | const char * | ,
|  | long * | ,
|  | long * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

MagickExport Image* * * * * * * PopImageList | ( | Image ** |  | ) |

MagickExport MagickBooleanType PopImagePixels | ( | Image * | ,
|  | const | QuantumType,
|  | unsigned char * |  |
| ) |  |  |

MagickExport char* * * PostscriptGeometry | ( | const char * |  | ) |

MagickExport unsigned int PushImageList | ( | Image ** | ,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType PushImagePixels | ( | Image * | ,
|  | const | QuantumType,
|  | const unsigned char * |  |
| ) |  |  |

MagickExport unsigned int QuantizationError | ( | Image * |  | ) |

MagickExport unsigned int RandomChannelThresholdImage | ( | Image * | ,
|  | const char * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void ReacquireMemory | ( | void ** | ,
|  | const | size_t |
| ) |  |  |

MagickExport void ResetImageAttributeIterator | ( | const Image * |  | ) |

MagickExport void SetCacheThreshold | ( | const unsigned long |  | ) |

MagickExport MagickBooleanType SetExceptionInfo | ( | ExceptionInfo * | ,
|  | ExceptionType |  |
| ) |  |  |

MagickExport void SetImage | ( | Image * | ,
|  | const | Quantum |
| ) |  |  |

MagickExport MagickBooleanType SetImageAttribute | ( | Image * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

MagickExport unsigned int SetImageList | ( | Image ** | ,
|  | const Image * | ,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport long SetMagickRegistry | ( | const | RegistryType,
|  | const void * | ,
|  | const | size_t,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MonitorHandler SetMonitorHandler | ( | MonitorHandler |  | ) |

MagickExport Image* * * * * * * * ShiftImageList | ( | Image ** |  | ) |

MagickExport MagickOffsetType SizeBlob | ( | const Image * | image | ) |

MagickExport Image* * * * * * * * * SpliceImageList | ( | Image * | ,
|  | const | long,
|  | const unsigned | long,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void Strip | ( | char * |  | ) |

MagickExport void TemporaryFilename | ( | char * |  | ) |

MagickExport unsigned int ThresholdImage | ( | Image * | ,
|  | const | double |
| ) |  |  |

MagickExport unsigned int ThresholdImageChannel | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport unsigned int TransformColorspace | ( | Image * | ,
|  | const | ColorspaceType |
| ) |  |  |

MagickExport char* * * * TranslateText | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType TransparentImage | ( | Image * | ,
|  | const | PixelPacket,
|  | const | Quantum |
| ) |  |  |

MagickExport unsigned int UnshiftImageList | ( | Image ** | ,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport IndexPacket ValidateColormapIndex | ( | Image * | ,
|  | const unsigned | long |
| ) |  |  |